SDL_SetRenderColorScale(3)

NAME
SDL_SetRenderColorScale - Set the color scale used for render operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetRenderColorScale(SDL_Renderer *renderer, float scale);

DESCRIPTION
The color scale is an additional scale multiplied into the pixel color value while rendering. This can be used to adjust the brightness of colors during HDR rendering, or changing HDR video brightness when playing on an SDR display. The color scale does not affect the alpha channel, only the color brightness.

FUNCTION PARAMETERS

renderer
    the rendering context

scale
    the color scale value

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderColorScale(3)